@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";


.experience {

  padding: 40px;

  &__title {
    font-size: 50px;
    line-height: 54px;
  }

  &__description {
    margin-bottom: 40px;
    font-size: 18px;
    line-height: 20px;
  }

  &__content {
    display: flex;
  }

  &__skills {
    width: 45%;
    margin-bottom: 0;

    &-list {
      display: flex;
      flex-direction: column;
      align-items: flex-start;

      &-item {
        position: relative;
        justify-content: flex-start;
        width: 100%;
        font-size: 22px;
        line-height: 24px;
        border-bottom: none;

        &--nodejs span {
          width: auto;
        }

        &:hover {
          color: $skills-color-hover;
        }

        &_active {
          color: $skills-color-active;

          & > i.fa-arrow-circle-right {
            position: absolute;
            top: 50%;
            right: 0;
            transform: translate(0, -50%);
            display: block;
          }
        }
      }
    }
  }

  &__knowledge {

    width: 55%;
    height: 750px;
    padding-left: 40px;

    &-image {
      width: 250px;
      height: 250px;
      margin-bottom: 30px;
    }

    &-list {

      &-item {
        display: none;

        &_active {
          display: flex;
          flex-direction: column;
        }
      }
    }

    &-description {
      font-size: 22px;
      line-height: 30px;

      &-list {
        margin-top: 20px;
        padding-left: 30px;

        &-item {
          font-size: 22px;
          line-height: 30px;

          &::after {
            content: '';
            height: 15px;
            width: 15px;
          }
        }
      }
    }
  }
}